summaryrefslogtreecommitdiffstats
path: root/development/bacon/bacon.SlackBuild
diff options
context:
space:
mode:
author Steve Pledger2010-12-19 13:41:17 +0100
committer Robby Workman2010-12-21 05:44:03 +0100
commit990e9b20f1c8a1f43676c79a25392c93d46c8c4b (patch)
treefc64c68a4547dcab8d4fa89eedcfe8fa551f06d5 /development/bacon/bacon.SlackBuild
parent2ffb8f82518fc3bd6ac6a4edfa81fa429b4577de (diff)
downloadslackbuilds-990e9b20f1c8a1f43676c79a25392c93d46c8c4b.tar.gz
development/bacon: Added (basic converter)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/bacon/bacon.SlackBuild')
-rw-r--r--development/bacon/bacon.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/development/bacon/bacon.SlackBuild b/development/bacon/bacon.SlackBuild
new file mode 100644
index 0000000000..b59c38fcc2
--- /dev/null
+++ b/development/bacon/bacon.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for bacon
+
+# Written by Steve Pledger spledger91@yahoo.com
+
+PRGNAM="bacon"
+VERSION="1.0_build_19" # Real version figured out below
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Version number may change, so figure out the real version
+REAL_VER="$(bash $CWD/bacon.bash -v | grep version | cut -d' ' -f3-5 | tr ' ' _)"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$REAL_VER
+mkdir $PRGNAM-$REAL_VER
+
+cd $PRGNAM-$REAL_VER
+# Bacon creates a binary in the same location as the source, so copy the source file here.
+cat $CWD/bacon.bac > bacon.bac
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Use the Bash version of BaCon to convert and compile the BASIC version, which is much faster.
+# (Note: Not using sh because this requires Bash 4.x and sh may be a symlink to another shell)
+bash $CWD/bacon.bash -p -o "$SLKCFLAGS" bacon.bac
+
+mkdir -p $PKG/usr/bin
+install -m 0755 bacon $PKG/usr/bin
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$REAL_VER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$REAL_VER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}